package com.yifu.cloud.plus.v1.msg.entity;

import cn.hutool.core.date.DateTime;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yifu.cloud.plus.v1.yifu.common.core.constant.ExcelAttribute;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author fxj
 * @Date 2023/5/30
 * @Description
 * @Version 1.0
 */
@Data
@TableName("msg_info")
@EqualsAndHashCode()
@Schema(description = "EKP消息提醒")
public class MsgInfo {
	/**
	 * id
	 **/
	@TableId(type = IdType.ASSIGN_ID)
	private String id;
	/**
	 * 创建时间
	**/
	private DateTime createTime;
	/**
	 * 订单ID
	 **/
	private String orderId;
	/**
	 * url
	 **/
	private String url;
	/**
	 * 订单号
	 **/
	private String orderNo;
	/**
	 * 通知类型:  0 接单 1 超时 2变更
	 **/
	private String alertType;
	/**
	 * 是否已读  0 是 1 否
	 **/
	private String read;
	/**
	 * 通知人
	 **/
	private String alertUser;

}
